# Forgejo via. Tailscale

This example is a quick start to running an instance of the excellent Forgejo git server under Docker.

* private exposed on Tailscale Tailnet
* Pre-configured Github Action-style Runners
* Mail delivery (assuming Mailgun, but adjustable to any SMTP server)
* Pre-configured (no installation wizard) including admin account

## Steps:

0. Get an Auth Key from your tailscale account
1. Copy `docker-compose.yml` and `.env` to a new folder
2. Update variables in `.env` making sure to generate random secrets for the various secrets marked with `##REQUIRED##`
5. `docker compose up -d`
6. Wait...
7. Wait a bit more
8. Visit `https://git.your-name.ts.net` in your browser and login with the admin credentials in your `.env` file.
9. Verify settings.  (i.e. do you want to disable user signups, etc.)
